com.smartgwt.client.widgets.drawing

## Class Point

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.widgets.drawing.Point

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class Point
      extends RefDataClass

  X/Y position in pixels, specified as an Array with two members, for example: [30, 50]

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties, readOnly`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Point()`
    `Point(double x, double y)`
    `Point(int x, int y)`
    `Point(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Point` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `int` | `getX()` The x coordinate of this point.
    `double` | `getXAsDouble()` The x coordinate of this point.
    `int` | `getY()` The y coordinate of this point.
    `double` | `getYAsDouble()` The y coordinate of this point.

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getReadOnly, isFactoryCreated, logConfiguration, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated, setReadOnly`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Point

          public Point()

    - #### Point

          public Point(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### Point

          public Point(int x,
                       int y)

    - #### Point

          public Point(double x,
                       double y)

  - ### Method Detail

    - #### getOrCreateRef

          public static Point getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### getX

          public int getX()

      The x coordinate of this point.
      Returns:
        int

    - #### getXAsDouble

          public double getXAsDouble()

      The x coordinate of this point.
      Returns:
        double

    - #### getY

          public int getY()

      The y coordinate of this point.
      Returns:
        int

    - #### getYAsDouble

          public double getYAsDouble()

      The y coordinate of this point.
      Returns:
        double